<?php

namespace App\Http\Controllers\GoogleCloud;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\View\View;

class WorkspacePolicyController extends Controller
{
    public function index(Request $request): View|Response
    {
        if ($request->header('HX-Request')) {
            return response('', 200)->header('HX-Redirect', route('google-cloud.workspace-policy.index'));
        }

        return view('google-cloud.workspace-policy.index');
    }
}
